org.apache.commons.ssl.asn1

## Class ASN1ObjectParser

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1ObjectParser

    public class ASN1ObjectParser
    extends java.lang.Object

### Field Summary

Fields
`private ASN1StreamParser` `_aIn`
`private int` `_baseTag`
`private int` `_tagNumber`

### Constructor Summary

Constructors
`protected` `ASN1ObjectParser(int baseTag, int tagNumber, java.io.InputStream contentStream)`

### Method Summary

Methods
`(package private) int` `getBaseTag()`
`(package private) int` `getTagNumber()` Return the tag number for this object.
`(package private) DEREncodable` `readObject()`
`(package private) ASN1EncodableVector` `readVector()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _baseTag

    private int _baseTag

#### _tagNumber

    private int _tagNumber

#### _aIn

    private ASN1StreamParser _aIn

### Constructor Detail

#### ASN1ObjectParser

    protected ASN1ObjectParser(int baseTag,
                    int tagNumber,
                    java.io.InputStream contentStream)

### Method Detail

#### getTagNumber

    int getTagNumber()

Return the tag number for this object.

Returns:
  the tag number.

#### getBaseTag

    int getBaseTag()

#### readObject

    DEREncodable readObject()
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### readVector

    ASN1EncodableVector readVector()
                             throws java.lang.IllegalStateException

Throws:
  `java.lang.IllegalStateException`